Subject: Re: [PATCH] Add nl_open to libnetlink

From: Masahide NAKAMURA <[email-masked]>
Date: Wed, 7 Jul 2004 15:56:02 +0900

Hello Stephen and Herbert,

> > > On Sat, 3 Jul 2004 19:46:32 +1000
> > > Herbert Xu <[email-masked]> wrote:
> > > 
> > > > I'm in the process of writing two new modules fo ip(8), ippolicy and
> > > > ipstate which will be a NETLINK based replacement for setkey.
> > > > 
> > > > In order to do so, I need to get libnetlink to speak the XFRM protocol.
> > > > Thus I've added a new nl_open function which allows the protocol to
> > > > be specified.
> > > 
> > > I agree with it.
> > > 
> > > Anyway, I have code for ip(8) for similar reason.

I've updated the patch and it can build with 2.6.7 kernel headers.
Can you check it?

http://www.linux-ipv6.org/~nakam/ipxfrm-20040707_2.diff

-- 
Masahide NAKAMURA